#!/bin/sh

# VER = 1 	2010-01-18 	generate short.ssn
# 				output :
# 					ERRPR:0 : OK 
# 					ERROR:1 : short.ssn file does not exist


PATH_CONF=/home/config
PATH_BIN=/home/PDH
PATH_SH=/home/PDH
SSN_VER=1

chPara(){
        local findresult="`grep "$1=" $PATH_CONF/short.ssn | cut -f2 -d"="`";
        local old=${findresult};
        sed -i -e "s|$1=$old|$1=$2|g" $PATH_CONF/short.ssn 2>/dev/NULL
}


if [ -f $PATH_CONF/short.ssn ]; then
	break
else
#	echo "ERROR:1"
	rm -f $PATH_CONF/short.ssn 2>/dev/NULL
	touch $PATH_CONF/short.ssn
	chmod 777 $PATH_CONF/short.ssn
	echo "#SSNVER=" >> $PATH_CONF/short.ssn
	echo "#SSNDATE=" >> $PATH_CONF/short.ssn
	echo "#SSNADDR=Skyway-Telecom-Bj-China" >> $PATH_CONF/short.ssn
	echo " " >> $PATH_CONF/short.ssn
	echo "#SSNSTR1=" >> $PATH_CONF/short.ssn
	echo "ERROR:1"
fi

if [ -f $PATH_CONF/SerNum.conf ]; then
	break
else
	$PATH_SH/gen-SerNum.sh > /dev/NULL 2>&1
fi

case $SSN_VER in 
	1)
		# 1
		chPara SSNVER $SSN_VER
		# 2
		DD=`date -I`
		chPara SSNDATE $DD
		# 3
		# 4
		ARM_ID=`grep "ARM_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		FPGA_ID=`grep "FPGA_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		SN_ID=`grep "IDU_SN=" $PATH_CONF/SerNum.conf | cut -f2 -d"="`
		STR=`echo -n $ARM_ID,$FPGA_ID,$SN_ID`
		chPara SSNSTR1 $STR
		echo "ERROR:0"
		break
		;;
	*)
		;;

esac




