#!/bin/sh
#VER=001		# 2010-10-25	init the config file to keep the configuration the same as before, when start
		#		app 	first time after update the software
DIR_CONFIG="/home/config"
DIR_PDH="/home/PDH"
#DIR_CONFIG="/home/zhangl/projects/testsh/config"
#DIR_PDH="/home/zhangl/projects/testsh/PDH"
# flag is "=" ,$1:sourse file $2 destination file $3 parameter
Ch_Para(){
	local name=$3;
	local findresult="`grep "$name=" $DIR_PDH/$2 | cut -f2 -d"="`";
	local old=${findresult};
	findresult="`grep "$name=" $DIR_CONFIG/$1 | cut -f2 -d"="`";
	local new=${findresult};
	sed -i -e "s|$name=$old|$name=$new|g" $DIR_PDH/$2
}
# flag is ":", $1:sourse file $2 destination file $3 parameter
Ch_Para1(){
	local name=$3;
	local findresult="`grep "$name:" $DIR_PDH/$2 | cut -f2 -d":"`";
	local old=${findresult};
	findresult="`grep "$name:" $DIR_CONFIG/$1 | cut -f2 -d":"`";
	local new=${findresult};
	sed -i -e "s|$name:$old|$name:$new|g" $DIR_PDH/$2
}
# flag is ": :", $1:sourse file $2 destination file $3 parameter
Ch_Para2(){
	local name=$3;
	local findresult="`grep "$name:" $DIR_PDH/$2 | cut -f2 -d":"`";
	local old=${findresult};
	findresult="`grep "$name:" $DIR_PDH/$2 | cut -f3 -d":"`";
	local old1=${findresult};
	findresult="`grep "$name:" $DIR_CONFIG/$1 | cut -f2 -d":"`";
	local new=${findresult};
	findresult="`grep "$name:" $DIR_CONFIG/$1 | cut -f3 -d":"`";
	local new1=${findresult};
#	sed -i -e "s|$name:$old:$old1|$new:$new1|g" $DIR_PDH/$2
	sed -i -e "s|$name:$old:$old1|$name:$new:$new1|g" $DIR_PDH/$2
}
# $1: parameter
chPara_snmpd(){
	local findresult="`grep $1 $DIR_PDH/snmpd.conf | tail -n 1`"
	local old=${findresult}	
	local COUNT=2
	while [ "$COUNT" -le 6 ]
	do
		findresult="`grep $1 $DIR_CONFIG/snmpd.conf | tail -n 1 | cut -f$COUNT -d" "`"
		if [ -z $findresult ];then
			COUNT=$(($COUNT+1))
		else
			break
		fi
	done
	local new=${findresult}
	sed -i -e "s|$old|$1  $new|g" $DIR_PDH/snmpd.conf
}
Init_Config(){
#******************************** init dry.conf ***********************************
	if [ -f $DIR_CONFIG/dry.conf ]; then
		Ch_Para dry.conf dry.conf DRY_1_PHASE_REVERSE
		Ch_Para dry.conf dry.conf DRY_1_OUTPUT
		Ch_Para dry.conf dry.conf DRY_2_PHASE_REVERSE
		Ch_Para dry.conf dry.conf DRY_2_OUTPUT
	else
		echo "no dry.conf"
	fi
#******************************** init etherport.conf ***********************************
	if [ -f $DIR_CONFIG/etherport.conf ]; then
		Ch_Para etherport.conf etherport.conf NMS_PORT0_SPEED
		Ch_Para etherport.conf etherport.conf NMS_PORT0_DUPLEX
		Ch_Para etherport.conf etherport.conf NMS_PORT0_AN
		Ch_Para etherport.conf etherport.conf NMS_PORT0_MFL
		Ch_Para etherport.conf etherport.conf NMS_PORT0_FC
		Ch_Para etherport.conf etherport.conf NMS_PORT1_SPEED
		Ch_Para etherport.conf etherport.conf NMS_PORT1_DUPLEX
		Ch_Para etherport.conf etherport.conf NMS_PORT1_AN
		Ch_Para etherport.conf etherport.conf NMS_PORT1_MFL
		Ch_Para etherport.conf etherport.conf NMS_PORT1_FC
		Ch_Para etherport.conf etherport.conf IP_PORT0_SPEED
		Ch_Para etherport.conf etherport.conf IP_PORT0_DUPLEX
		Ch_Para etherport.conf etherport.conf IP_PORT0_AN
		Ch_Para etherport.conf etherport.conf IP_PORT0_MFL
		Ch_Para etherport.conf etherport.conf IP_PORT0_FC
		Ch_Para etherport.conf etherport.conf IP_PORT1_SPEED
		Ch_Para etherport.conf etherport.conf IP_PORT1_DUPLEX
		Ch_Para etherport.conf etherport.conf IP_PORT1_AN
		Ch_Para etherport.conf etherport.conf IP_PORT1_MFL
		Ch_Para etherport.conf etherport.conf IP_PORT1_FC
	else
		echo "no etherport.conf"
	fi
#******************************** init snmpd.conf ***********************************
	if [ -f $DIR_CONFIG/snmpd.conf ]; then
		echo "snmpd.conf"
		chPara_snmpd syscontact
		chPara_snmpd sysdescr
		chPara_snmpd sysname
		chPara_snmpd rocommunity
		chPara_snmpd rwcommunity
	else
		echo "no snmpd.conf"
	fi
#******************************** init snmp_misc.conf ***********************************
	if [ -f $DIR_CONFIG/snmp_misc.conf ]; then
		echo "snmp_misc.conf"
		Ch_Para snmp_misc.conf snmp_misc.conf snmp_email
		Ch_Para snmp_misc.conf snmp_misc.conf snmp_web
		Ch_Para snmp_misc.conf snmp_misc.conf snmp_trapport
	else
		echo "no snmp_misc.conf"
	fi

#******************************** init cli.conf ***********************************
	if [ -f $DIR_CONFIG/cli.conf ]; then
		echo "cli.conf"
		Ch_Para1 cli.conf cli.conf WELCOME_MSG
		Ch_Para2 cli.conf cli.conf USER1
		Ch_Para2 cli.conf cli.conf USER2
	else
		echo "no cli.conf"
	fi
#******************************** init mac_man.conf ***********************************
	if [ -f $DIR_CONFIG/mac_man.conf ]; then
		echo "mac_man.conf"
		Ch_Para mac_man.conf mac_man.conf def_man
		Ch_Para mac_man.conf mac_man.conf cfg_man
	else
		echo "no mac_man.conf"
	fi
#******************************** init password.conf ***********************************
	if [ -f $DIR_CONFIG/password.conf ]; then
		echo "password.conf"
		Ch_Para1 password.conf password.conf user
		Ch_Para1 password.conf password.conf password
	else
		echo "no password.conf"
	fi
}
# update config file
TAG_NAME=`grep "SOFT_VER_SYS=" $DIR_PDH/SW_VER.conf | cut -f2 -d"="`
TAG_STRING="$DIR_PDH/$TAG_NAME"
#TAG_STRING1=`find $TAG_STRING 2> /dev/null`
if [ -f $TAG_STRING ]; then
	Init_Config
	mv -f $DIR_PDH/dry.conf $DIR_CONFIG/
	mv -f $DIR_PDH/etherport.conf $DIR_CONFIG/
	mv -f $DIR_PDH/cli.conf $DIR_CONFIG/
	mv -f $DIR_PDH/snmp_misc.conf $DIR_CONFIG/
	mv -f $DIR_PDH/mac_man.conf $DIR_CONFIG/
	mv -f $DIR_PDH/snmpd.conf $DIR_CONFIG/
	ln -s -f $DIR_CONFIG/snmpd.conf $DIR_PDH/snmpd.conf
	mv -f $DIR_PDH/password.conf $DIR_CONFIG/
	mv -f $DIR_PDH/oem.conf $DIR_CONFIG/
	rm -f $TAG_STRING
##	mv -f /home/PDH/cli.conf /home/config/
##	mv -f /home/PDH/mac_man.conf /home/config/
##	mv -f /home/PDH/product.conf /home/config/
##	mv -f /home/PDH/password.conf /home/config/
##	ln -s -f /home/config/oem.conf /home/PDH/snmpd.conf
##	ln -s -f /home/config/oem.conf /home/config/snmp_misc.conf
#	ln -s -f $DIR_CONFIG/snmpd.conf $DIR_PDH/snmpd.conf
#	$DIR_PDH/config_snmp_to_oem.sh
else
	echo "no tag"
fi
echo "done"
