#!/bin/sh

#		2008.05.22	V1		software verify before software run .
#							call by rc.sysinit , before start_app.sh 
#							usage 	: 	
#									./software_verify.sh 		no Parameter
#							return	:
#									0	:	current software verify success .
#									3	:	PDH_MD5 no found
#									4	:	current software verify fail . ( md5sum fail or files no found )
#									6	:	back software verify success .
#									7	:	back software verify fail . ( IDU Run with error software )
#	2008-05.22		V2		Add log
#							add log to /home/log/log.data

pdh_name=PDH
pdh_nms_chk_file=PDH_MD5


# get current software dir
current_software_dir=`grep -s "CURRENT_SOFTWARE_DIR=" /home/config/P.conf | cut -f2 -d"="`
#	echo $current_software_dir

if [ $current_software_dir = "P1" ]; then
	back_software_dir=P2
elif [ $current_software_dir = "P2" ]; then
	back_software_dir=P1
else
	echo -n "Unkown Software dir : " $current_software_dir
	echo ""
fi

# make current software path
cur_path=/home/$current_software_dir/
#echo -n "Current software path : " $cur_path
#echo ""

# make back software path
back_path=/home/$back_software_dir/
#echo -n "Back software path : " $back_path
#echo ""

# entry $cur_path
cd $cur_path
pwd

# find PDH_MD5
file_name=`ls $pdh_nms_chk_file`
if [ $file_name = $pdh_nms_chk_file ]; then
	# line_num of PDH_MD5
	line_num_1=`cat $cur_path/$pdh_nms_chk_file | wc -l`
	#echo -n "Line Num of " $pdh_nms_chk_file $line_num_1
	#echo ""
	# md5sum all file in $cur_path/PDH with PDH_MD5
	md5sum -c $cur_path$pdh_nms_chk_file > /tmp/NULL
	# line num of /tmp/NULL
	line_num_2=`grep -s "OK" /tmp/NULL | wc -l`
	#echo -n "Line Num of /tmp/NULL " $line_num_2
	#echo ""
	if [ $line_num_1 = $line_num_2 ]; then
		#	echo "MD5SUM success"
		# remove /tmp/NULL
		rm -f /tmp/NULL
		# log
		echo "Current SoftWare Verify Success" >> /home/log/log.data
		echo "0" # current software verify success .
	else
		# rm /tmp/NULL
		rm -f /tmp/NULL
		# log
		echo "Current SoftWare Verify Failed" >> /home/log/log.data
		echo "4"	#current software verify fail . ( md5sum fail or files no found )
		
		# entry $back_path
		cd $back_path
		pwd
		# find PDH_MD5
		file_name=`ls $pdh_nms_chk_file`
		if [ $file_name = $pdh_nms_chk_file ]; then
			# line_num of PDH_MD5
			line_num_1=`cat $back_path/$pdh_nms_chk_file | wc -l`
			#echo -n "Line Num of " $pdh_nms_chk_file $line_num_1
			#echo ""
			# md5sum all file in $back_path/PDH with PDH_MD5
			md5sum -c $back_path$pdh_nms_chk_file > /tmp/NULL
			# line num of /tmp/NULL
			line_num_2=`grep -s "OK" /tmp/NULL | wc -l`
			#echo -n "Line Num of /tmp/NULL " $line_num_2
			#echo ""
			if [ $line_num_1 = $line_num_2 ]; then
				#	echo "MD5SUM success"
				# update CURRENT_SOFTWARE_DIR in /home/config/P.conf
				old=`grep "CURRENT_SOFTWARE_DIR=" /home/config/P.conf | cut -f2 -d"="`
				#	echo $old;
				sed -i -e "s|CURRENT_SOFTWARE_DIR=$old|CURRENT_SOFTWARE_DIR=$back_software_dir|g" /home/config/P.conf
				# Entry /home
				cd /home
				# update PDH-->/home/back_software_dir
				rm -f PDH
				ln  -s -f $back_path$pdh_name PDH
				# remove /tmp/NULL
				rm -f /tmp/NULL
				# log
				echo "Backup SoftWare Verify Success , Use Backup Software" >> /home/log/log.data
				echo "6" # back software verify success .
			else
				#	echo "MD5SUM fail"
				# remove /tmp/NULL
				rm -f /tmp/NULL
				# log
				echo "Backup SoftWare Verify Failed , Software Run Error !!!!!!!!!!!!!!!!!!" >> /home/log/log.data
				echo "7" # back software verify fail . ( IDU Run with error software )
			fi	
		else
			# log
			echo "PDH_MD5 no Found" >> /home/log/log.data
			echo "3" # PDH_MD5 no found
		fi
	fi
else
	# log
	echo "PDH_MD5 no Found" >> /home/log/log.data
	echo "3"	# PDH_MD5 no found
fi
