#!/bin/sh

VER=0.0.2			# 2008-01-20 
VER=0.0.3			# 2008-01-24
VER=0.0.4			# 2008-03-07	rm -f /NULL; rm -f /home/PTF/NULL
VER=0.0.5			# 2008-03-18	start snmp , SendTarp
VER=0.0.6			# 2008-03-24	modify snmpd ,SendTarp path
VER=0.0.7			# 2008-04-14	FLAG_HWADDR in MAC.conf instead of PDH_IDU.conf
VER=0.0.8			# 2008-04-24	Add insmod_ad.sh after Set HwAddr
VER=0.0.9			# 2008-04-27	Add insmod_wdt.sh after insmod_AD
VER=0.1.0			# 2008-04-28	insmod AD and WDT base on Linux kernel ver : 2.6.20.4 or 2.6.8.1
VER=0.1.1			# 2008-05-10	sleep 5 before cfg_shell
VER=0.1.2			# 2008-05-16	modify SNMP start parameter	, rm /tmp/NULL after all processes started.
VER=0.1.3			# 2008-05-16	Add log
VER=0.1.4			# 2008-05-23	Add Arping_rmt.sh 
VER=0.1.5			# 2008-05-23	modify path of PDH_IDU.conf
VER=0.1.6			# 2008-06-23	modify cfgFPGA
VER=0.1.7			# 2008-07-29 Set 0x0A0D to daemon , before and after cfg_shell.sh
VER=0.1.8			# 2008-08-12 insmod fpga.ko  , load tsr_CallSendTrap with Parameter
VER=0.1.9			# 2008-11-26 add Recover_TxSwitch.sh
VER=0.2.0			# 2008-12-30 modify cfgFPGA , recover BER Statistics after CPU reset
VER=0.2.1			# 2009-02-06 remove autosave.sh ,  remove Recover BER Statistcs
VER=0.2.2			# 2009-02-09 set daemon FPGA status ( 0x0A0F / 0x0A10 )
VER=0.2.3			# 2009-02-16	new way to run main_daemon , new way to run cfg_shell.sh
VER=0.2.4			# 2009-02-18 No insmod fpga.ko ; No Run CallSendTrap
VER=0.2.5 			# 2010-01-19 	invoke gen-SerNum.sh to generate SerNum.conf ( after download FPGA )
				# 		invoke gen-ssn.sh to generate short.ssn ( after generate SerNum.conf )
VER=0.2.6 			# 2010-02-08 	invoke import_license.sh ( after generate gen-ssn.sh )
VER=0.2.7 			# 2010-03-09 	invoke 'linser & > /dev/null' ( after invoke import_license.sh )
VER=0.2.8 			# 2010-05-24 	change name of "linser" to "licd"
VER=0.2.9 			# 2010-07-27 	start logd
VER=0.2.10 			# 2010-09-10	surport oem export
VER=0.2.11 			# 2010-09-26	mount tmpfs to /tmp, add config_server for oem.config export
VER=0.2.12 			# 2010-10-25	add sh init_config.sh for compatible with previous released version(V0035)

# mount tmpfs to /tmp
#
mount -t tmpfs -o swap /tmp
#

# init all config file
/home/PDH/init_config.sh

# Make HwAddr
#
flag_hwaddr=`grep -s "FLAG_HWADDR" /home/PDH/MAC.conf | cut -f2 -d"="`
if [ $flag_hwaddr = "0" ]; then
	/home/PDH/makeMAC
#	sed -i -e "s|FLAG_HWADDR=0|FLAG_HWADDR=1|g" /home/PDH/MAC.conf
	sed -i -e "s|FLAG_HWADDR=0|FLAG_HWADDR=1|g" /home/config/MAC.conf
else
	echo "MAC has been maked"
fi

#
# Set HwAddr
#
cd /home
cd PDH
./startup_setMAC.sh

#
# get current Linux Kernel Ver
#
kernel_ver=`uname -r`
echo -n "Current Linux Kernel Ver : " $kernel_ver
echo ""

#
# insmod EP9307 AD
#
if [ $kernel_ver = "2.6.20.4" ]; then
	echo "inmod EP9307_AD"
	/home/PDH/insmod_ad.sh
elif [ $kernel_ver = "2.6.8.1" ]; then
	echo "remove EP9307_AD"
	rm -f /dev/ep9307_ad
fi

#
# insmod EP9307 WDT
#
if [ $kernel_ver = "2.6.20.4" ]; then
	echo "insmod EP9307_WDT"
	/home/PDH/insmod_wdt.sh
elif [ $kernel_ver = "2.6.8.1" ]; then
	echo "remove EP9307_WDT"
	rm -f /dev/ep9307_wdt
fi

#
# cfgFPGA
#
cd /home
cd PDH
SUC_STRING="12345"
VV=`/home/PDH/loadFPGA | grep -s $SUC_STRING`
if [ $VV = $SUC_STRING ]; then
	# fpga has been loaded
	FLAG_FPGA_LOAD=0
	echo -n "FLAG_FPGA_LOAD : " $FLAG_FPGA_LOAD
	echo ""
else
	# re-load
	FLAG_FPGA_LOAD=1
	echo -n "FLAG_FPGA_LOAD : " $FLAG_FPGA_LOAD
	echo ""
	# reset fpga
	/home/PDH/hell_bus_arm_V31 0x70000000 0x0004 1
	usleep 1000
	/home/PDH/hell_bus_arm_V31 0x70000000 0x0004 0
fi

# generate SerNum.conf 
/home/PDH/gen-SerNum.sh

# generate short.ssh
/home/PDH/gen-ssn.sh

# import license file
/home/PDH/import_license.sh > /dev/null

# run licd
/home/PDH/licd & > /dev/null

# SNMP Agent
/home/PDH/snmpd -c /home/PDH/snmpd.conf
/home/PDH/SendTrap


# AppWeb 2.4.0
cd /home
cd PDH
cd appweb2.4
./appweb -f appweb.conf -b

# logd
/home/PDH/logd -b

# config_server for oem.config .. export
/home/PDH/config_server&

# main_daemon
/home/PDH/main_daemon -b

# odu_daemon
cd /home
cd PDH
./tsr_odu
usleep 500000
./kp.sh odu
usleep 500000
./tsr_odu

# Set Daemon , FPGA not been config
/home/PDH/agent_setup 0x0A0D 0
/home/PDH/agent_setup 0x0A0D 0
/home/PDH/agent_setup 0x0A0D 0

sleep 5

# Set Daemon , FPGA loaded or re-loaded
if [ $FLAG_FPGA_LOAD = '0' ]; then
	/home/PDH/agent_setup 0x0A0F 0	
elif [ $FLAG_FPGA_LOAD = '1' ]; then
	/home/PDH/agent_setup 0x0A10 0	
fi

# cfg_shell
/home/PDH/cfg_shell.sh

# Set Daemon , FPGA been config
/home/PDH/agent_setup 0x0A0D 1
/home/PDH/agent_setup 0x0A0D 1
/home/PDH/agent_setup 0x0A0D 1

# rm NULL ( yi liu file , during PTF test )
rm -f /NULL
rm -f /home/PTF/NULL
rm -f /tmp/NULL

# ARPing Remote
/home/PDH/arping_rmt.sh

###################################################
## Insmod fpga.ko . *ONLY* for 2.6.20.4
#if [ $kernel_ver = "2.6.20.4" ]; then
#	if [ -f /home/PDH/fpga.ko ]
#	then
#		find /home/PDH/ -name fpga.ko -print | xargs insmod
#		rm -f /dev/fpga
#		major=$(awk "\$2==\"fpga\" {print \$1}" /proc/devices)
#		mknod  /dev/fpga c $major 1
#	fi
#else
#	rm -f /dev/fpga
#fi
###################################################

###################################################
## Load tsr_CallSendTrap
#V_HostIP=`/home/PDH/query_sys.sh 0x010F | cut -f2 -d" "`
#V_TrapHost1=`/home/PDH/query_sys.sh 0x0112 | cut -f2 -d" "`
#/home/PDH/tsr_CallSendTrap $V_HostIP $V_TrapHost1
###################################################

# log
/home/PDH/log.sh Log_Type_Reset 0x0A03 "IDU_has_been_rebooted"

# Recover_TxSwitch in /home/config/PDH_IDU.conf
/home/PDH/Recover_TxSwitch.sh


