#!/bin/sh

#		2008.05.20	V1		software switch . 
#							usage 	: 	
#									./switch $1		$1 : P1 or P2
#							return	:
#									ERROR_SWITCH_0	:	siwtch success
#									ERROR_SWITCH_3	:	PDH_MD5 not found
#									ERROR_SWITCH_4	:	PDH(all files in ./PDH) check error : files no found or md5sum failed	

pdh_name=PDH
path=/home/$1/
pdh_nms_chk_file=PDH_MD5

# Entry $path
cd $path
pwd

# Find PDH_MD5
file_name=`ls $pdh_nms_chk_file`
if [ $file_name = $pdh_nms_chk_file ]; then
	# line_num of PDH_MD5
	line_num_1=`cat $path/$pdh_nms_chk_file | wc -l`
	#echo -n "Line Num of " $pdh_nms_chk_file $line_num_1
	#echo ""
	# md5sum all file in $path/PDH with PDH_MD5
	md5sum -c $path$pdh_nms_chk_file > /tmp/NULL
	# line num of /tmp/NULL
	line_num_2=`grep -s "OK" /tmp/NULL | wc -l`
	#echo -n "Line Num of /tmp/NULL " $line_num_2
	#echo ""
	if [ $line_num_1 = $line_num_2 ]; then
		#	echo "MD5SUM success"
		# update CURRENT_SOFTWARE_DIR in /home/config/P.conf
		old=`grep "CURRENT_SOFTWARE_DIR=" /home/config/P.conf | cut -f2 -d"="`
		#	echo $old;
		sed -i -e "s|CURRENT_SOFTWARE_DIR=$old|CURRENT_SOFTWARE_DIR=$1|g" /home/config/P.conf
		# Entry /home
		cd /home
		# update PDH-->/home/$1
		rm -f PDH
		ln  -s -f $path$pdh_name PDH
		# remove /tmp/NULL
		rm -f /tmp/NULL
		echo "ERROR_SWITCH_0" # switch success
	else
		echo "ERROR_SWITCH_4"	# PDH(all files in ./PDH) check error : files no found or md5sum failed
		# rm /tmp/NULL
		rm -f /tmp/NULL
	fi
else
	echo "ERROR_SWITCH_3"	# PDH_MD5 nor found
fi








